Skip to content

Legacy vRack

All operations require authentication.

4 operationsv1/vrack/{serviceName}
Agent setup

List legacy vRacks (deprecated). Returns the legacy vRacks (vrackXXXX) bridged in the vRack.Deprecated

GET
/1.0/vrack/{serviceName}/legacyVrack

Deprecated since Sep 7, 2026, will be removed on Oct 7, 2026.

Path parameters

serviceName
required
string

The internal name of your vrack

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/legacyVrack \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a legacy vRack (deprecated). Returns the bridged legacy vRack.Deprecated

GET
/1.0/vrack/{serviceName}/legacyVrack/{legacyVrack}

Deprecated since Sep 7, 2026, will be removed on Oct 7, 2026.

Path parameters

legacyVrack
required
string

your legacy vrack service

serviceName
required
string

The internal name of your vrack

Response

200legacyVracksuccessful operation
legacyVrack
read-only
string

your legacy vrack service

vlanId
read-only
integer

vlan to set on legacy vrack equipments

Example uses legacyVrack = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/legacyVrack/{legacyVrack} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "legacyVrack": "string", "vlanId": 0}

Attach a legacy vRack (deprecated)Deprecated

POST
/1.0/vrack/{serviceName}/legacyVrack

Deprecated since Sep 7, 2026, will be removed on Oct 7, 2026.

Attach a legacy vRack (deprecated). Bridges a legacy vRack (vrackXXXX) in the vRack (pn-XXXX). Returns the task that performs it.

Path parameters

serviceName
required
string

The internal name of your vrack

Request body (required)

legacyVrack
required
string
—

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/legacyVrack \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}

Detach a legacy vRack (deprecated)Deprecated

DELETE
/1.0/vrack/{serviceName}/legacyVrack/{legacyVrack}

Deprecated since Sep 7, 2026, will be removed on Oct 7, 2026.

Detach a legacy vRack (deprecated). Removes the legacy vRack from the vRack. Returns the task that performs it.

Path parameters

legacyVrack
required
string

your legacy vrack service

serviceName
required
string

The internal name of your vrack

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses legacyVrack = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/legacyVrack/{legacyVrack} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}